Skip to main content

Inquiry QRIS

Check QRIS transaction status based on merchant transaction ID.

Endpoint​

POST /api/v1/payin/qris/inquiry

Request Body​

ParameterTypeRequiredDescription
merchantTrxIdstringYesMerchant transaction ID to check

Example Request​

{
"merchantTrxId": "2026022016571814795775589"
}

Success Response​

{
"logId": "OIZ1AHKte0s27yAMhu4o",
"status": true,
"message": "Query success",
"data": {
"idMerchant": 2,
"merchantName": "Mie Ayam",
"merchantTrxId": "2026011422090788287851188",
"platformTrxId": "2026011415091972123",
"amount": 11000,
"fee": {
"amount": 77,
"percentage": 0.7,
"fixed": 0
},
"netAmount": 10923,
"status": "success",
"success_at": "2026-01-14 15:10:11",
"additionalInfo": {
"rrn": "837952845864",
"nmid": "ID2024000000317"
}
}
}

Response Fields​

FieldDescription
idMerchantMerchant ID on platform
merchantNameMerchant name
merchantTrxIdMerchant transaction ID
platformTrxIdPlatform transaction ID
amountTransaction amount
fee.amountFee charged to the merchant for this transaction
fee.percentageMerchant percentage rate (0.7 means 0.7%)
fee.fixedMerchant fixed fee component
netAmountNet amount the merchant receives (amount - fee.amount)
statusTransaction status (success, pending, failed, etc.)
success_atTransaction success timestamp
additionalInfo.rrnReference Retrieval Number
additionalInfo.nmidNational Merchant ID